import { ScrollingContainerRef, ScrollSize, ScrollPosition, ClientSize, UseInfiniteScrollProps, DatasetLength, ScrollDirectionState, ScrollDirection, ScrollParams, ScrollAxis } from '../../types';
export declare type CreateContainerParams = ScrollSize & ScrollPosition & ClientSize;
export declare type MockScrollingContainerRef = ScrollingContainerRef & {
    scrollTo: (top?: number, left?: number) => void;
    scroll?: () => void;
};
export declare const createContainer: ({ scrollHeight, scrollWidth, scrollTop, scrollLeft, clientHeight, clientWidth, }: CreateContainerParams) => MockScrollingContainerRef;
export declare type CreateInfiniteScrollProps = DatasetLength & {
    hasMore?: ScrollDirectionState;
    next?: (direction: ScrollDirection) => Promise<void>;
    onScroll?: (value: Required<ScrollParams>) => void;
    scrollThreshold?: number | string;
    initialScroll?: {
        top?: number;
        left?: number;
    };
    reverse?: ScrollAxis<boolean>;
};
export declare const createInfiniteScrollProps: ({ hasMore, next, onScroll, scrollThreshold, initialScroll, reverse, }: CreateInfiniteScrollProps) => UseInfiniteScrollProps;
export declare const settleUpdate: (time?: number) => Promise<void>;
